Skip to main content
GET
Get connection sync

Path Parameters

workspaceSlug
string
required

URL-safe workspace identifier.

connectionId
string
required

Opaque identifier of the connection.

Pattern: ^conn_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
syncId
string<uuid>
required

Unique identifier of the sync run.

Response

A connection sync (import or export).

A connection sync (import or export).

attempt
integer<int32>
required

1-based attempt number; scheduled syncs may be retried on failure.

connectionId
string
required

The connection this sync belongs to.

Pattern: ^conn_[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
id
string<uuid>
required

Unique sync identifier.

recordsSynced
integer<int64>
required

Number of objects transferred so far.

startedAt
string<date-time>
required

When the sync started.

status
required

Current status of the sync.

Allowed value: "pending"
triggerType
required

How the sync was triggered.

Allowed value: "manual"
triggeredBy
object
required

Account that triggered the sync.

completedAt
string<date-time>

When the sync finished, if it has.

errorMessage
string

Failure reason when the sync failed; omitted otherwise.